mirror of https://lore.kernel.org/lkml/
 help / color / mirror / Atom feed
From: Bhaskar Chowdhury <unixbhaskar@gmail.com>
To: unixbhaskar@gmail.com, linux-kernel@vger.kernel.org
Cc: paulmck@kernel.org
Subject: [PATCH] tools: rcu: Added check for argument and usage function
Date: Mon,  2 Jan 2023 19:21:57 +0530	[thread overview]
Message-ID: <20230102135155.20326-1-unixbhaskar@gmail.com> (raw)

Inducted some argument check as well put the important information in a
function for better usecase.

cc: paulmck@kernel.org

Signed-off-by: Bhaskar Chowdhury <unixbhaskar@gmail.com>
---
  Paul, pardon my brevity. Chances might be there that I might have
  misunderstood the requirement.
 tools/rcu/extract-stall.sh | 28 ++++++++++++++++++++++------
 1 file changed, 22 insertions(+), 6 deletions(-)

diff --git a/tools/rcu/extract-stall.sh b/tools/rcu/extract-stall.sh
index e565697c9f90..d71617d0e565 100644
--- a/tools/rcu/extract-stall.sh
+++ b/tools/rcu/extract-stall.sh
@@ -1,11 +1,27 @@
 #!/bin/sh
 # SPDX-License-Identifier: GPL-2.0+
-#
-# Extract any RCU CPU stall warnings present in specified file.
-# Filter out clocksource lines.  Note that preceding-lines excludes the
-# initial line of the stall warning but trailing-lines includes it.
-#
-# Usage: extract-stall.sh dmesg-file [ preceding-lines [ trailing-lines ] ]
+
+# Terminate the script, if the argument file is missing
+
+if [[ $# -eq 0 ]];then
+
+	echo You are suppose to pass the dmesg file as an argument.
+	usage
+	exit 1
+fi
+
+# This is an usage function to spit out information about properly use this
+# script
+
+usage() {
+
+      echo Extract any RCU CPU stall warnings present in specified file.
+      echo Filter out clocksource lines.  Note that preceding-lines excludes
+      echo The initial line of the stall warning but trailing-lines includes it.
+
+      echo $0 dmesg-file [ preceding-lines [ trailing-lines  ]  ]
+
+}

 echo $1
 preceding_lines="${2-3}"
--
2.38.1


                 reply	other threads:[~2023-01-02 13:59 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230102135155.20326-1-unixbhaskar@gmail.com \
    --to=unixbhaskar@gmail.com \
    --cc=linux-kernel@vger.kernel.org \
    --cc=paulmck@kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox

all inboxes | Powered by JetHome®